function y = prop_kinfQ(kinfQ, Y, pars, prior, mats, dt, rlb, scale)
% f(y|thetaQ) thetaQ determines kinfQ
% and affects the Q-likelihood


kinfQ = kinfQ/scale;
prop.kinfQ = kinfQ;
loads = SRTSM_loadings(prop.kinfQ, diag(pars.lamQ), pars.omega, mats, dt) ;
prop.an = loads.an ;
prop.bn = loads.bn ;
prop.SigmaQ = loads.SigmaQ ;
prop.llkQ = llk_Q(Y, pars.X, prop.an, prop.bn, prop.SigmaQ, pars.sige2, rlb) ;
prop.lprior = log(normpdf(prop.kinfQ, prior.kmean, prior.kvar));
y = prop ;



end